Access: organization users with artist permissions; X-User-Id may target a same-organization user where allowed.
POST
https://enterprise.spacemedia.uk
/
api
/
v1
/
artists
/
{id}
Update Artist
curl --request POST \
--url https://enterprise.spacemedia.uk/api/v1/artists/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Nova Vale",
"bio": "Updated artist biography.",
"spotify_id": "6dDemoNovaVale"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Nova Vale',
bio: 'Updated artist biography.',
spotify_id: '6dDemoNovaVale'
})
};
fetch('https://enterprise.spacemedia.uk/api/v1/artists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://enterprise.spacemedia.uk/api/v1/artists/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Nova Vale',
'bio' => 'Updated artist biography.',
'spotify_id' => '6dDemoNovaVale'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://enterprise.spacemedia.uk/api/v1/artists/{id}"
payload = {
"name": "Nova Vale",
"bio": "Updated artist biography.",
"spotify_id": "6dDemoNovaVale"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": [
{
"id": "4cbb71fa-6e92-4a8b-9c3d-0b6811ef6f1b",
"uuid": "4cbb71fa-6e92-4a8b-9c3d-0b6811ef6f1b",
"name": "Nova Vale",
"url": "/artists/4cbb71fa-6e92-4a8b-9c3d-0b6811ef6f1b",
"viewUrl": "/artists/4cbb71fa-6e92-4a8b-9c3d-0b6811ef6f1b",
"editRoute": "/artists/4cbb71fa-6e92-4a8b-9c3d-0b6811ef6f1b/edit",
"artist_type": "Primary Artist",
"spotify_id": "6dDemoNovaVale",
"releases_count": 1,
"tracks_count": 2,
"total_releases": 1,
"total_tracks": 2,
"total_streams": 125000,
"metadata": {
"country": "GB"
},
"created_at": "2026-03-22T11:00:00+00:00",
"updated_at": "2026-04-15T10:20:00+00:00"
}
]
}{
"success": false,
"message": "Missing bearer token"
}{
"success": false,
"message": "This action is unauthorized."
}{
"success": false,
"message": "Resource not found"
}{
"success": false,
"message": "Validation failed.",
"errors": {
"title": [
"The title field is required."
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Use application/json for API responses.
Bearer access token. Use Bearer <YOUR_ACCESS_TOKEN>.
Optional user UUID to perform the request on behalf of a user in the same organization.
Path Parameters
The ID of the artist.
Body
application/json
The body is of type object.
Response
Success
The response is of type object.
Previous
Delete ArtistAccess: organization users with artist permissions; `X-User-Id` may target a same-organization user where allowed.
Next
⌘I
Update Artist
